# Class DefaultTreeTableModel

java.lang.Object
javax.swing.table.AbstractTableModel
javax.swing.table.DefaultTableModel
org.apache.jorphan.gui.AbstractTreeTableModel
org.apache.jorphan.gui.DefaultTreeTableModel

All Implemented Interfaces:
  `Serializable, TableModel, TreeTableModel`

public class DefaultTreeTableModel extends AbstractTreeTableModel

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class AbstractTreeTableModel

`classes, headers, listener, objects, readFunctors, rootNode, writeFunctors`

### Fields inherited from class DefaultTableModel

`columnIdentifiers, dataVector`

### Fields inherited from class AbstractTableModel

`listenerList`

## Constructor Summary

Constructors
Constructor
Description
`DefaultTreeTableModel()`
`DefaultTreeTableModel(String[] headers, Functor[] readFunctors, Functor[] writeFunctors, Class<?>[] editorClasses)`
`DefaultTreeTableModel(TreeNode root)`

## Method Summary

### Methods inherited from class AbstractTreeTableModel

`addTableModelListener, clearData, fireTreeNodesChanged, getChild, getChildCount, getColumnClass, getColumnCount, getColumnName, getRootNode, getRowCount, getValueAt, getValueAt, isCellEditable, isCellEditable, isLeaf, nodeStructureChanged, removeTableModelListener, setValueAt, setValueAt`

### Methods inherited from class DefaultTableModel

`addColumn, addColumn, addColumn, addRow, addRow, convertToVector, convertToVector, getDataVector, insertRow, insertRow, moveRow, newDataAvailable, newRowsAdded, removeRow, rowsRemoved, setColumnCount, setColumnIdentifiers, setColumnIdentifiers, setDataVector, setDataVector, setNumRows, setRowCount`

### Methods inherited from class AbstractTableModel

`findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultTreeTableModel

public DefaultTreeTableModel()

### DefaultTreeTableModel

public DefaultTreeTableModel(TreeNode root)

Parameters:
  `root` - the `TreeNode` to use as root

### DefaultTreeTableModel

public DefaultTreeTableModel(String[] headers, Functor[] readFunctors, Functor[] writeFunctors, Class<?>[] editorClasses)

Parameters:
  `headers` - the headers to use
  `readFunctors` - the read functors to use
  `writeFunctors` - the write functors to use
  `editorClasses` - the editor classes to use